<<template>
  <basic-container>
    <avue-crud ref="crud"
               v-model="form"
               :data="data"
               :option="option"
               @on-load="getList"
               @row-del="rowDel"
               @refresh-change="refreshChange"
               @search-change="searchChange"
               @row-click="handleRowClick"
    >
      <template slot="menuLeft">
        <span>当前选择生命周期:{{this.lifeList}}</span>

      </template>
    </avue-crud>
    <div></div>
<!--    <el-button >取 消</el-button>-->
<!--    <el-button type="primary" >确 定</el-button>-->
  </basic-container>
</template>

<script>
export default {
  name: "Businpackage.vue",
  data(){
    return {
      lifeList:"",
      data:[
        {
          name:"测试1",
        },
        {
          name:"测试2",
        },
        {
          name:"测试3",
        },
        {
          name:"测试4",
        },
      ],
      form:{},
      option:{
        height:300,
        headerAlign:'center',
        align: 'center',
        border: true,
        editBtn:false,
        index: true,
        searchMenuSpan:8,
        searchSpan:9,
        searchBtnText:'查找',
        searchLabelWidth:100,
        addBtn:false,
        indexFixed:false,
        menuFixed:false,
        column:[
          {
            label:"生命周期名称",
            prop:"name",
            search:true,
            searchWidth:170
          },
        ]
      }
    }
  },
  methods:{
    handleRowClick(val){
      console.log(val)
      this.lifeList=val.name
    },
    // getList () {
    //   this.loading = true;
    //   const data = Object.assign({
    //     pageNum: this.page.currentPage,
    //     pageSize: this.page.pageSize,
    //   }, this.params)
    //   this.data = [];
    //   getList(data).then(res => {
    //     const data = res.data.data
    //     this.loading = false;
    //     this.page.total = data.total;
    //     const result = data.list;
    //     this.data = result;
    //   })
    // },
    //搜索
    searchChange(params, done) {
      if (done) done();
      this.params = params;
      this.page.currentPage = 1;
      this.getList();
      this.$message.success('搜索成功')
    },
    rowDel(row) {
      this.$confirm('此操作将永久删除, 是否继续?', '提示', {
        confirmButtonText: '确定',
        cancelButtonText: '取消',
        type: 'warning'
      }).then(() => {
        return del(row.id)
      }).then(() => {
        this.$message.success('删除成功')
        this.getList();
      })
    },
  }
}
</script>

<style scoped>

</style>
